Skip to main content
DELETE
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
columns
/
{column_id}
Delete Column
curl --request DELETE \
  --url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/columns/{column_id} \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "message": "<string>",
  "stale_count": 123,
  "version": 123
}
Delete a column and its cells. Deleting a column creates a new sheet version. If other columns depend on the deleted column, PromptLayer marks affected downstream cells as stale and returns stale_count with the new version.

Authorizations

X-API-KEY
string
header
required

Path Parameters

table_id
string<uuid>
required
sheet_id
string<uuid>
required
column_id
string<uuid>
required

Response

Column deleted

success
boolean
message
string
stale_count
integer

Number of stale cells on the sheet after downstream dependency propagation.

version
integer

Current sheet version_count after the column is deleted.